View Issue Details

IDProjectCategoryView StatusLast Update
0026167mantisbtperformancepublic2019-09-27 05:45
Reportercproensa Assigned Tocproensa  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.23.0 
Target Version2.23.0Fixed in Version2.23.0 
Summary0026167: Issue view history api repeated calls to bug_get_attachments database query
Description

After the change to rest api issue view, i have detected that the query for bug_get_attachments() is repeated for each history row.

TagsNo tags attached.

Activities

cproensa

cproensa

2019-09-21 20:32

developer  

imagen.png (135,983 bytes)   
imagen.png (135,983 bytes)   
cproensa

cproensa

2019-09-22 10:17

developer   ~0062886

https://github.com/mantisbt/mantisbt/pull/1568

Related Changesets

MantisBT: master 1436e536

2019-09-21 20:21:09

cproensa


Committer: dregad Details Diff
Clean up duplicated query call

Move the call to `file_get_visible_attachments()` outside of the loop,
to avoid duplicated database queries.

Fixes: 0026167
Affected Issues
0026167
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2019-09-21 20:32 cproensa New Issue
2019-09-21 20:32 cproensa Status new => assigned
2019-09-21 20:32 cproensa Assigned To => cproensa
2019-09-21 20:32 cproensa File Added: imagen.png
2019-09-21 21:49 cproensa Summary Issue view history api repeted calls to bug_get_attachments database query => Issue view history api repeated calls to bug_get_attachments database query
2019-09-22 10:17 cproensa Note Added: 0062886
2019-09-27 05:39 dregad Changeset attached => MantisBT master 1436e536
2019-09-27 05:39 cproensa Status assigned => resolved
2019-09-27 05:39 cproensa Resolution open => fixed
2019-09-27 05:39 cproensa Fixed in Version => 2.23.0
2019-09-27 05:45 atrol Target Version => 2.23.0